Retrieve a workspace
curl --request GET \
--url https://my.orq.ai/v2/workspaces/{key} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.orq.ai/v2/workspaces/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.orq.ai/v2/workspaces/{key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"workspace": {
"id": "<string>",
"key": "<string>",
"display_name": "<string>",
"logo_url": "<string>",
"archived_on": "2023-11-07T05:31:56Z",
"archived_by_id": "<string>",
"organization": {
"id": "<string>",
"key": "<string>"
},
"settings": {
"same_project_entities_enabled": true,
"model_garden_settings": {},
"plugins": {}
},
"sidebar_version": "<string>",
"features": {},
"total_members": 123,
"metadata": {},
"capabilities": {
"roles": [
"<string>"
],
"projects": [
"<string>"
]
}
}
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}Workspaces
Retrieve a workspace
Retrieves a workspace by its key. A user session must be a member and does not need a workspace-scoped token. A management key may only retrieve the workspace bound to the key.
GET
/
v2
/
workspaces
/
{key}
Retrieve a workspace
curl --request GET \
--url https://my.orq.ai/v2/workspaces/{key} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.orq.ai/v2/workspaces/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.orq.ai/v2/workspaces/{key}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"workspace": {
"id": "<string>",
"key": "<string>",
"display_name": "<string>",
"logo_url": "<string>",
"archived_on": "2023-11-07T05:31:56Z",
"archived_by_id": "<string>",
"organization": {
"id": "<string>",
"key": "<string>"
},
"settings": {
"same_project_entities_enabled": true,
"model_garden_settings": {},
"plugins": {}
},
"sidebar_version": "<string>",
"features": {},
"total_members": 123,
"metadata": {},
"capabilities": {
"roles": [
"<string>"
],
"projects": [
"<string>"
]
}
}
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}Was this page helpful?